#include <iostream>
using namespace std;
int main()
{
int n, k, x, pr;
cin>>n>>k;
cin>>x;
if(x==k)for(int=1;i<n,i++)cin>>x;
else for(int i=1;i<n;i++)
{
pr=x;
cin>>x;
if(x==k) {x=pr; break;}
}
cout<<x;
return 0;
}